stages:
    - build
    - test

variables:
    FILE_NAME: "ayush.txt"

build:
    stage: build
    image: alpine   
    script:
        - echo " this is a test job"
        - mkdir build
        - echo "First test pipeline" >> build/$FILE_NAME
        - cat build/$FILE_NAME
    artifacts:
        paths:
            - build

test:
    stage: test
    image: alpine
    script:
        - test -f build/$FILE_NAME
        - grep "First" build/$FILE_NAME